app-id: com.roundabout_host.Izvor
runtime: org.freedesktop.Platform
runtime-version: "24.08"
sdk: org.freedesktop.Sdk
command: izvor
finish-args:
  - --share=network
  - --filesystem=home
  - --socket=x11
  - --socket=wayland
  - --filesystem=xdg-config/fontconfig:ro
  - --filesystem=xdg-config/fonts:ro
  - --talk-name=org.freedesktop.DBus
  - --own-name=org.freedesktop.DBus
  - --socket=session-bus
build-options:
  build-args:
    - --share=network
modules:
  - name: izvor
    buildsystem: simple
    build-commands:
      - unset GTK_MODULES
      - mkdir -p /app/bin /app/share/izvor
      - cp -r ./* /app/share/izvor/
      - pip install --prefix=/app --no-deps -r /app/share/izvor/requirements-flatpak.txt
      - chmod +x /app/share/izvor/__init__.py
      - ln -s /app/share/izvor/__init__.py /app/bin/izvor
    sources:
      - type: dir
        path: src
